import { select, scaleLinear, extent } from 'd3';

const svg = select('svg');
const g = svg.append('g');
g.attr('transform', 'translate(505,250) rotate(90)');
const g1 = svg.append('g');
g1.attr('transform', 'translate(495,250) rotate(90)');
const n = 1000;
const n1 = 800;
const x = [];
const y = [];
const spacing = 1;
const radiusBig = 230;
const radiusBig1 = 100;
const radiusSmall = 2;
const pi = Math.PI;

const minDx = 0;
const maxDx = Math.PI;
const dx = maxDx - minDx / n;
const angle = [];
//-----------------------------------------
for (let i = 0; i < n; i++) {
  angle[i] = minDx + i * maxDx * dx;
  //  console.log(angle[i]);
  x[i] = Math.cos(angle[i]) * radiusBig * Math.random();
  y[i] = Math.sin(angle[i]) * radiusBig * Math.random();

  //----------------------------------

  g.append('circle')
    .attr('r', radiusSmall)
    .transition()
    .attr('cx', y[i])
    .transition()
    .attr('cy', x[i])
    .attr('fill',  `#5104D2`)
    .attr('opacity', x[i] < 0 ? 1 : 0);
}
//-----------------------------------------
for (let i = 0; i < n1; i++) {
  angle[i] = minDx + i * maxDx * dx;
  //  console.log(angle[i]);
  x[i] = Math.cos(angle[i]) * radiusBig1 * Math.random();
  y[i] = Math.sin(angle[i]) * radiusBig1 * Math.random();

  //----------------------------------

  g1.append('circle')
    .attr('r', radiusSmall)
    .transition()
    .attr('cx', y[i])
    .transition()
    .attr('cy', x[i])
    .attr('fill',  '#5104D2')
    .attr('opacity', x[i] < 0 ? 0 : 1);
}
